  (vl-load-com)
  
  (defun c:vytiskniPozdrav ()
    (if (equal nil mswc-wd100Words)
            ;;; kontrola jestli je nahrna knihovna typ Wordu
      (vlax-import-type-library
        :tlb-filename      "D:/msword9.olb" 
        :methods-prefix	   "mswm-"
        :properties-prefix	"mswp-"
        :constants-prefix	"mswc-"
      )     ;;; nahrn knihovny typ a definovn prefix 
            ;;; pro metody, vlastnosti a konstanty
            ;;; POZOR mus bt zadna sprvn cesta
            ;;; VAROVN VLisp nepozn jmno souboru,
            ;;; v kterm je mezera p. "program files"
    )
    
    (setq mswAppObj (vlax-get-object "Word.Application.9"))
            ;;; pokus o zskn objektu aplikace Wordu    
    (if (equal nil mswAppObj)
            ;;; pokud objekt aplikace Wordu nebyl zskn
            ;;; aplikace Word nen v systmu sputna vytvo objekt
            ;;; a zviditelni ho
      (progn
        (setq mswAppObj(vlax-create-object "Word.Application.9"))
        (vla-put-visible mswAppObj :vlax-true)
      )
    )
    
    (if (/= nil mswAppObj)        ;;; pokud je objekt korektn vytvoen
      (progn
              ;;; zskej pointer na objekt skupina dokument
        (setq docs (vla-get-documents mswAppObj))
              ;;; vytvo nov dokument
        (setq doc (mswm-add docs))
              ;;; zskej pointer na objekt odstavce v dokumentu
        (setq paragraphs (mswp-get-paragraphs doc))
              ;;; zskej posledn odstavec
        (setq pg (mswp-get-last paragraphs))
              ;;; uri rozsah odstav
        (setq range (mswp-get-range pg))
              ;;; nastav psmo na tlust
        (mswp-put-bold range 1)
              ;;; vlo za posledn odstavec
        (mswm-InsertAfter
	        range
	        (strcat "Dobr den\n")
         )
              ;;; uri nov rozsah
        (setq range (mswp-get-range pg))
              ;;; nastav psmo na normln
        (mswp-put-bold range 0)
              ;;; vlo za posledn odstavec
        (mswm-InsertAfter
	       range
	       (strcat "\nTento text vypisuje ve Wordu AutoLISP!\n
            Podobnm zpsobem mete poslat do Wordu i dleitj 
            informace.\nNashledanou."
          )
        )
      )
      (princ "\nAplikace MSWord nebyla v sytmu nalezena.\n")
              ;;; pokud nen MSWord v systmu obsaen vytiskne se chyba
    )
  )
  
  
(princ "\nFunkce se spust pkazem (c:vytiskniPozdrav) v IDE Visual LISPu")
(princ "\nFunkce se spust pkazem vytiskniPozdrav v AutoCADu")